File Comment Reactions

A FileCommentReaction is a reaction that is attached to a comment on a file.

Create File Comment Reaction

Endpoint

POST/file_comment_reactions

Return Object

FileCommentReaction

Authorization Requirement

Available to all authenticated keys or sessions.

Request Parameters

ParameterDescription
user_id
int64
User ID. Provide a value of 0 to operate the current session's user.
file_comment_id
int64
Required
ID of file comment to attach reaction to.
emoji
string
Required
Emoji to react with.

Example Request

curl https://app.files.com/api/rest/v1/file_comment_reactions.json \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{"user_id":1,"file_comment_id":1,"emoji":"emoji"}' \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "emoji": "👍"
}

Delete File Comment Reaction

Endpoint

DELETE/file_comment_reactions/{id}

Return Object

No return value.

Authorization Requirement

Available to all authenticated keys or sessions.

Request Parameters

ParameterDescription
id
int64
Required
File Comment Reaction ID.

Example Request

curl https://app.files.com/api/rest/v1/file_comment_reactions/{id}.json \
  -X DELETE \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

The FileCommentReaction Object

Some of the endpoints above return a FileCommentReaction object. The attributes of this object are listed below.

AttributeDescription
id
int64
Reaction ID
emoji
string
Emoji used in the reaction.

Example FileCommentReaction Object

{
  "id": 1,
  "emoji": "👍"
}